'-- general script demo of JSDraw.dll
 '-- starting out this script gets desktop size, dimensions of C:\rose.bmp 
 '-- and desktop back color. Next it makes entire screen white and draws 
 '-- various shapes based on desktop dimensions.
         '--  Note that Draw.Color at beginning sets default color For methods. 
         '-- Any methods that use "" For color parameter will be drawn using that color.
         '-- A partial exception is the Text method. If TextColor is "" it will be drawn
         '-- with default color. BackColor must be Set. Windows draws background color
         '-- around text area. In general you'll want to match the existing background
         '--color so that this background won't be seen. Another option would be to
         '-- Do a Fill in text area before writing text.
 
Dim Draw, boo, H, W, PicW, PicH, s, scol
  
  Set Draw = CreateObject("JSDraw.Ops")
    
  Draw.Color = "0080C0"  '--Set default color blue.
 
  boo = Draw.GetDesktopSize(W, H)
   If boo = False Then
      MsgBox "Failed to get Desktop size. Script will exit.", 64
      Draw.Refresh
      Set Draw = Nothing
      WScript.Quit
   End If
   
 s = "Desktop size: " & W & " pixels wide X " & H & " pixels high." & vbcrlf
 
  boo = Draw.GetPictureSize("C:\rose.bmp", PicW, PicH)
   If boo = False Then
     s = s & "(Picture rose.bmp not found.)"
   Else
     s = s & "Size of bitmap rose.bmp: " & PicW & " pixels wide X " & PicH & " pixels high."
   End If
   
   scol = Draw.GetSystemColor("Desktop")
   s = s & vbcrlf & "Default Desktop back color: " & scol
   scol = Draw.GetSystemColor("TitleBar")
    s = s & vbcrlf & "Active title bar color: " & scol
   scol = Draw.GetSystemColor("TitleBarText")
    s = s & vbcrlf & "Active title bar text color: " & scol
   scol = Draw.GetSystemColor("Button")
    s = s & vbcrlf & "Button color: " & scol  
   scol = Draw.GetSystemColor("ButtonText")
    s = s & vbcrlf & "Button text color: " & scol    
    
 Draw.Fill "FFFFFF"  '--fill entire desktop with white.
      WScript.Sleep 500
      
  '-- report desk size  and bitmap size in upper left:
  Draw.Text s, 6, 16, "0000A0", "", True
  
  '-------- Draw several shapes equidistant across middle of screen.
  
    '--Draw ellipse 1/5 across screen, starting 50 pixels above center.
   Draw.Ellipse ((W - 700) \ 2), ((H \ 2) - 50), (W \ 10), 100, 3, "", False
      WScript.Sleep 500
      
   '--Draw a filled ellipse Next to it:
   Draw.Ellipse ((W - 700) \ 2) + 200, ((H \ 2) - 50), (W \ 10), 100, 0, "", True
      WScript.Sleep 500
   
  '--Draw a rectangle:
    Draw.Rectangle ((W - 700) \ 2) + 400, ((H \ 2) - 50), (W \ 10), 100, 3, "", False
        WScript.Sleep 500
        
 '--Draw a filled rectangle:
    Draw.Rectangle ((W - 700) \ 2) + 600, ((H \ 2) - 50), (W \ 10), 100, 0, "", True
       WScript.Sleep 500
       
 '--Draw horizontal line under shapes, going across 100 pixels in from both sides:
   Draw.Line 100, ((H \ 2) + 100), (W - 100), ((H \ 2) + 100), 10, "F9B044"
        WScript.Sleep 1000
  
  '--setcanvas to center text.
  '-- this sets starting point 100 pixels below line and 20 pixels left of center.
    Draw.SetCanvas ((W \ 2) - 20), ((H \ 2) + 200), 40, 80
    
 '-- Draw big red exclamation point in that canvas. Since no font was Set it will be MS Sans Serif:
    Draw.Text "!", 40, 80, "FF0000", "FFFFFF", True
    
 '-- pause For 8 seconds and erase:
    WScript.Sleep 10000
    Draw.Refresh

Set Draw = Nothing