'--sunrise.vbs. demo of JSDraw.dll component.
 '--this script uses various shapes and colors to draw a scene.
 '-- by using WScript.Sleep it creates a sort of animation.
 

Dim Draw, i, x, y, i2
    Set Draw = CreateObject("JSDraw.Ops")
     
   '--Set up the drawing area: a rectangle 600w x 400h, 200 pixels in from left and top:
 Draw.SetCanvas 200, 200, 600, 400  
 
   '-- Set default color. Not necessary, just convenient If multiple calls are made with same color:
  Draw.Color = "00BB00"

'-- Set up blue background with sunrise. To animate sunrise,
'-- redraw the blue and Draw a yellow circle 20 times.
'-- Start in lower right and Each time move 20 pixels to the left and
'-- 16 pixels up.

x = 550
y = 350
For i = 1 to 20
 x = x - 20
 y = y - 16
 Draw.Fill "0000FF"                                   '--fill rectangle with blue.
 Draw.Ellipse x, y, 60, 60, 0, "FFFF00", True '--Draw 60-pixel-diameter yellow circle.
 WScript.Sleep 100                                  '--pause 1/10 second.
Next

'-- Drawing plants. For animation effect there's a 1/2 second lapse
'-- between draws of plant stalks. Stalks are drawn to look like irregular 
'-- sprouting, in order from left: 1-3-5-2-4, spaced apart by 20 pixels.

WScript.Sleep 500
Draw.Arc 100, 320, 20, 80, 100, 360, 120, 360, 5, ""
WScript.Sleep 500
Draw.Arc 140, 320, 20, 80, 140, 340, 160, 360, 5, ""
WScript.Sleep 500
Draw.Arc 180, 320, 20, 80, 180, 360, 200, 360, 5, ""
WScript.Sleep 500
Draw.Arc 120, 320, 20, 80, 120, 350, 140, 360, 5, ""
WScript.Sleep 500
Draw.Arc 160, 320, 20, 80, 160, 350, 180, 360, 5, ""
WScript.Sleep 500

'--Draw 2 red flowers:

Draw.Ellipse 110, 330, 20, 20, 0, "FF5E5E", True
WScript.Sleep 500
Draw.Ellipse 170, 340, 20, 20, 0, "FF5E5E", True

'--Draw tree trunk:

WScript.Sleep 500
Draw.Rectangle 500, 80, 40, 320, 0, "986550", True
WScript.Sleep 500

'--this draws the tree foliage with 3 ellipses. It Then pauses
'-- and draws the bird in flight.

Draw.Ellipse 400, 50, 200, 90, 0, "", True
Draw.Ellipse 350, 100, 200, 120, 0, "", True
Draw.Ellipse 500, 80, 120, 200, 0, "", True
WScript.Sleep 500

For i2 = 1 to 4
WScript.Sleep 200
Draw.Arc 200, 150, 20, 60, 200, 260, 220, 260, 5, "0000FF"
Draw.Line 200, 210, 220, 210, 5, "FFFFFF"
WScript.Sleep 200
Draw.Line 200, 210, 220, 210, 5, "0000FF"
Draw.Arc 200, 150, 20, 60, 200, 260, 220, 260, 5, "FFFFFF"
Next

'-- reset drawing canvas to be 20 pixels larger on Each side.
'-- Then Draw a rectangle frame, centered 10 pixels in from
'--edge, 20 pixels wide, and add a little bit of detail to it:

Draw.SetCanvas 180, 180, 640, 440 
Draw.Rectangle 10, 10, 620, 420, 20, "E7A918", False
Draw.Rectangle 0, 0, 640, 440, 3, "6A4E0B", False

'--make a picture of image:

Draw.Capture "C:\sunrise.bmp", 180, 180, 640, 440

'-- drawing done. wait 5 seconds and erase:

WScript.Sleep 5000
Draw.Refresh


MsgBox "Drawing erased. A copy was saved on C drive as sunrise.bmp", 64
Set Draw = Nothing