'-- welcome screen script. demo of JSDraw.dll
 '-- this script requires that the file rose.bmp be put on C drive.
 '-- SetCanvas is used numerous times in this script in order to place
 '-- text where desired. SetCanvas defines the Desktop rectangle where
 '--drawing happens. By resetting it For text the text can be placed
 '-- with precision. All methods abide by Canvas setting. If SetCanvas
 '-- is Not used Then coordinates are in relation o desktop.
'-- For example: Rectangle 0, 0, 40, 40, 1, "FFFFFF", False   
'-- will draw a 1-pixel-wide-line white rectangle, unfilled, in the top left
'-- corner of the Desktop. But If the same method is used after
'-- SetCanvas 400, 400, 100, 100 the rectangle will be drawn at
'-- desktop 400x,400y.

Dim Draw, FSO, s
    Set FSO = CreateObject("Scripting.FileSystemObject")
      If FSO.FileExists("C:\rose.bmp") = False Then
        MsgBox "This script requires that the picture rose.bmp be on C drive.", 64, "Move file or edit script"
        Set FSO = Nothing
        WScript.Quit
      End If
   
  Set FSO = Nothing       
  Set Draw = CreateObject("JSDraw.Ops")
    
   '--option to Set default color For convenience.
   '-- If no default font Set it will be MS Sans Serif.
   
  Draw.Color = "FFFFDF"
  Draw.Font = "Arial"
  
    '-- make a green rectangle 500 x 400
    '-- and put a line border around it at 10 pixels in:
    
  Draw.SetCanvas 200, 200, 500, 400
  Draw.Fill "006C00"
  Draw.Rectangle 10, 10, 480, 380, 2, "", False
  
    '--reset canvas to center text:
    
  Draw.SetCanvas 340, 220, 200, 60
  Draw.Text "Welcome", 30, 60, "", "", True
  
    '--reset canvas to area below "Welcome" text and print Next line:
  Draw.SetCanvas 340, 300, 200, 120
  Draw.Text "This is a demo" & vbcrlf & "of drawing functions.", 10, 30, "FED8DE", "", True
  
   '--reset canvas to original For easier placing of picture:
 Draw.SetCanvas 200, 200, 500, 400
 Draw.Picture "C:\rose.bmp", 220, 220

  '-- add note to bottom of window under rose picture:

  s = "This script is not self-erasing." & vbcrlf & "This display can be erased by moving a window over it."
 Draw.SetCanvas 350, 540, 200, 60
 Draw.Text s, 6, 16, "FED8DE", "", True

Set Draw = Nothing